



def pyth(a,b,c):
    return a*a + b*b + c*c






def catmull_rom_approx(x3, y3, x4, y4, x5, x6, y6, x7, y7):
    
    solutions = []
    
    for current_x5 in x5:
        t = float(current_x5 - x4) / float(x6 - x4)
    
        t0 = 1
        t1 = t
        t2 = t*t
        t3 = t*t*t
    
    
        a1 = t2 - 0.5*t3 - 0.5*t1
        a2 = 1.0 - 2.5*t2 + 1.5*t3
        a3 = 0.5*t1 + 2*t2 - 1.5*t3
        a4 = 0.5*t3 - 0.5*t2
    
        solutions.append(a1 * y3 + a2 * y4 + a3 * y6 + a4 * y7)
    
    
    
    return solutions



    
    
    
    
    
   
