

from joints import *

class JointChangeNotifier(object):
    def __init__(self):
        self.observers = []
    
    def notify_current_joint_changed(self, joint):
        self.update(joint)
        
    
        
    def register(self, observer):
        self.observers.append(observer)
        
        
    def update(self, joint):
        
        
        for i in range(len(self.observers)):
            print self.observers[i]
            self.observers[i].update_joint(joint)
        
        



class FrameChangeNotifier(object):
    def __init__(self):
        self.observers = []
    
    def notify_current_frame_changed(self, frame):
        self.update(frame)
        
    
        
    def register(self, observer):
        self.observers.append(observer)
        
        
    def update(self, frame):
        for i in range(len(self.observers)):
            self.observers[i].update_frame(frame)